Skip to main content
`Ctrl`+`K`

# DMKSPSetComputeRHS

set `KSP` right-hand side evaluation function

## Synopsis

    #include "petscksp.h"
    PetscErrorCode DMKSPSetComputeRHS(DM dm, KSPComputeRHSFn *func, PetscCtx ctx)

Not Collective

## Input Parameters

- dm - `DM` used with a `KSP`

- func - right-hand side evaluation function, for calling sequence see `KSPComputeRHSFn`

- ctx - context for right-hand side evaluation

## Note

`KSPSetComputeRHS()` is normally used, but it calls this function internally because the user context is actually associated with the `DM`. This makes the interface consistent regardless of whether the user interacts with a `DM` or not.

## Developer Note

If `DM` took a more central role at some later date, this could become the primary method of setting the matrix.

## See Also

KSP: Linear System Solvers, `DMKSP`, `DM`, `KSP`, `DMKSPSetContext()`, `DMKSPGetComputeRHS()`

## Level

developer

## Location

src/ksp/ksp/interface/dmksp.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages